var leftX = 60, rightX = 140;
var leftY = 50, rightY = 50;
var noiseParam = 0;
var noiseStep = 0.1;

function eye(x, y) {
    var offset = noise(noiseParam);
    // map offset from 0-1 into -20 to +20
    offset = map(offset, 0, 1, -20, 20);
    fill(0, 222, 0);
    fill(100, 
         noise(noiseParam * 0.2 + 100) * 255, 
         noise(noiseParam * 0.2 + 100) * 255);
    ellipse(x + offset, y, 50, 50);
}
        
function setup() {
    createCanvas(200, 200);
    frameRate(10);
}

function draw() {
    background(255, 250, 180);
    fill(100);
    ellipse(100, 80, 200, 200);
    eye(leftX, leftY);
    eye(rightX, rightY);
    noiseParam += noiseStep;
};