function setup() {
    createCanvas(400,200);
}

function draw() {
    background(0);
    // draw center line
    stroke(255);
    line(width/2, 0, width/2, height);
    fill(255); // color for point() called in for loop
    for (var i = 0; i < 1000; i++) {
        // Uniform noise random on the left
        push();
        translate(100,100);
        point(random(-100,100), random(-100, 100));
        pop();
        // Gaussian noise on the right
        push();
        translate(300,100);
        point(randomGaussian(0, 30), randomGaussian(0, 30));
        pop();
    }
    noLoop();
}