function setup() {
    createCanvas(200,200);
    frameRate(1);
}

function draw() {
    var range = 50; // random r ranges from -100 to 100
    background(0);
    noStroke();
    for (var x = 0; x < width; x += 5) {
        for (var y = 0; y < height; y += 5) {
            var r = randomGaussian(0, mouseX / 5);
            while (r < -range || r > range) {
                r = randomGaussian(0, 0, mouseX / 5);
            }
            fill(128, 200 + r, 180 - r); // add some random to G & B
            rect(x, y, 5, 5);
        }
    }
}